[Rails 3] [plugins] Redmine can't find my assets. Support multiple assets paths

2012-05-13 16:59 - John Yani

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Given:    I put my plugins assets to root/plugins/my_plugin/app/assets folder.

Expected: I expect that Redmine will find my assets.

Actual:   Instead, I see 404 error for my javacripts and css.

Given:    I put my plugins assets to root/plugins/my_plugin/assets folder.

Expected: I expect that Redmine will find my assets.

Actual:   Instead, I see 404 error for my javacripts and css.

Given:    I put my plugins assets to root/plugins/my_plugin/public folder.

Expected: I expect that Redmine will find my assets.

Actual:   Instead, I see 404 error for my javacripts and css.

 I expect all these steps pass.

History

#1 - 2012-05-13 17:02 - John Yani

I use stylesheet_link_tag and javascript_include_tag

#2 - 2012-05-13 18:53 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Plugin assets must be placed in the redmine_root/plugins/my_plugin/assets folder. And just like with Redmine 1.x, they are copied to

redmine_root/public/plugin_assets/my_plugin on startup. In 2.0, there's a also rake task redmine:plugins:assets to do that manually.

John Yani wrote:

I use stylesheet_link_tag and javascript_include_tag

 And just like with Redmine 1.x, you have to use the :plugin option to load a plugin stylesheet or javascript, eg.

stylesheet_link_tag 'example', :plugin => 'sample_plugin'

 Please have a look at the sample plugin in extra/sample_plugin.

#3 - 2012-05-14 09:58 - John Yani

But why do I need to include plugin option? There is no need to do that in Rails 3 engines. And why do I need to copy them?

Is it only technical reason or by design?

#4 - 2012-05-14 16:40 - Jean-Philippe Lang

John Yani wrote:

But why do I need to include plugin option? There is no need to do that in Rails 3 engines.

 This is how it worked with Redmine 1.x plugins: Plugin_Tutorial (although the tutorial may need slight updates). But feel free to experiment a Redmine

plugin that would use Rails 3 engines.

And why do I need to copy them? Is it only technical reason or by design?
https://www.redmine.org/projects/redmine/wiki/Plugin_Tutorial#Adding-stylesheets


 The asset pipeline is not enabled, so assets must be copied into the public folder. Note that you don't have to do it manually, they are copied on

startup just like with Redmine 1.x.

#5 - 2012-05-14 17:26 - John Yani

- Status changed from New to Resolved

Oh, so the asset pipeline is not enabled.

Thanks for your answers.

#6 - 2012-05-14 18:45 - Jean-Philippe Lang

- Status changed from Resolved to Closed
